Bug 1289963 - docker push not working in 1.9.1
docker push not working in 1.9.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Murdaca
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1300808
  Show dependency treegraph
 
Reported: 2015-12-09 07:27 EST by Andreas Jung
Modified: 2016-06-09 22:26 EDT (History)
12 users (show)

See Also:
Fixed In Version: docker-1.10.3-24.gitf476348.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1300808 (view as bug list)
Environment:
Last Closed: 2016-06-09 22:26:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Jung 2015-12-09 07:27:02 EST
[docker@vmd9666 docker-plone5]$ docker version
Client:
 Version:         1.9.1-fc23
 API version:     1.21
 Package version: docker-1.9.1-2.git78bc3ea.fc23.x86_64
 Go version:      go1.5.1
 Git commit:      f7c1d52-dirty
 Built:           Fri Nov 20 21:07:14 UTC 2015
 OS/Arch:         linux/amd64

Server:
 Version:         1.9.1-fc23
 API version:     1.21
 Package version: docker-1.9.1-2.git78bc3ea.fc23.x86_64
 Go version:      go1.5.1
 Git commit:      f7c1d52-dirty
 Built:           Fri Nov 20 21:07:14 UTC 2015
 OS/Arch:         linux/amd64
[docker@vmd9666 docker-plone5]$ docker push zopyx/plone-50-demo
The push refers to a repository [zopyx/plone-50-demo] (len: 1)
unable to ping registry endpoint https://zopyx/v0/
v2 ping attempt failed with error: Get https://zopyx/v2/: dial tcp: lookup zopyx: No address associated with hostname
 v1 ping attempt failed with error: Get https://zopyx/v1/_ping: dial tcp: lookup zopyx: No address associated with hostname
Comment 1 Michal Minar 2015-12-09 07:33:50 EST
Hi Andreas,

docker-1.9.1-2.git78bc3ea.fc23.x86_64 is buggy, could you please try docker-1.9.1-4.git6ec29ef.fc23 which was built today? It may not be yet in your testing repository though. You can download it directly from koji:
  http://koji.fedoraproject.org/koji/buildinfo?buildID=704319

Sorry for the inconvenience.
Comment 2 Daniel Walsh 2015-12-09 10:50:45 EST
Fixed in ocker-1.9.1-4.git6ec29ef.fc23
Comment 3 Andreas Jung 2015-12-21 07:22:08 EST
Problem solved.
Comment 4 andrew 2016-01-20 22:05:07 EST
I've just experienced push failures with docker-1.9.1-4.git6ec29ef.fc23.x86_64:

> [root@localhost ~]# docker push macropin/nginx-ingress-thirdparty
> The push refers to a repository [docker.io/macropin/nginx-ingress-thirdparty] (len: 0)
> 2b2efeef7242: Preparing 
> unauthorized: access to the requested resource is not authorized

The problem is docker login does not store the correct address in ~/.docker/config.json. If you manually replace "docker.io" with "https://index.docker.io/v1/" the push will succeed.

I'm guessing this is a regression due to some out of band patches that Red Hat are maintaining.
Comment 5 Dusty Mabe 2016-01-20 23:04:52 EST
I've experienced this as well but wasn't sure what the problem was. Thanks andrew for reporting the issue.
Comment 7 Antonio Murdaca 2016-01-21 10:24:25 EST
Dusty are you still experiencing this error with the latest docker we ship now?
Comment 10 Dusty Mabe 2016-01-21 10:56:30 EST
(In reply to Antonio Murdaca from comment #7)
> Dusty are you still experiencing this error with the latest docker we ship
> now?

This is the version of Docker I am running:
docker-1.9.1-4.git6ec29ef.fc23.x86_64

The workaround described by andrew works.
Comment 11 Antonio Murdaca 2016-01-21 11:25:49 EST
Dusty, thx, I've submitted a fix
Comment 12 Daniel Walsh 2016-01-21 13:54:43 EST
Lokesh can we get another build.  We also need to clone this for RHEL
Comment 13 Tim Niemueller 2016-02-03 05:24:27 EST
Problem persists with docker-1.9.1-6.git6ec29ef.fc23.x86_64.
Comment 14 Dusty Mabe 2016-02-19 20:00:03 EST
(In reply to Tim Niemueller from comment #13)
> Problem persists with docker-1.9.1-6.git6ec29ef.fc23.x86_64.

Confirmed. Still a problem in 1.9.1-6.
Comment 15 Antonio Murdaca 2016-02-20 05:25:54 EST
I'm sure 1.9.1-6 is pretty old and we hadn't shipped an up to date version of our 1.9 fedora branch - I could do this but, right now we have 1.10.1 in updates-testing. Could you all pls test against 1.10.1? (Docker is about to release a 1.10.2 version soon also)
Comment 16 Daniel Walsh 2016-02-22 14:33:27 EST
Fixed in docker-1.10.
Comment 17 Josh Berkus 2016-03-02 18:03:37 EST
How about getting a fix out in this for Fedora23? There's lots of people using that release.
Comment 18 Daniel Walsh 2016-03-03 09:41:59 EST
Josh we could do that but it would get kind of messy, I guess we could pull the docker-1.10 release from updates testing and update docker-1.9 with a fix and push it into updates testing, once it got into updates we could push up docker-1.10 for those who want to use it.
Comment 19 Tim Niemueller 2016-03-04 04:17:21 EST
I'd be happy just waiting through the testing period to get 1.10 asap. The update seems not to mention this bug.
Comment 20 Fedora Update System 2016-04-28 10:00:55 EDT
docker-1.10.3-15.git964eda6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b59d274e19
Comment 21 Fedora Update System 2016-05-02 05:22:26 EDT
docker-1.10.3-16.gita41254f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-87f810b0f5
Comment 22 Fedora Update System 2016-05-03 05:27:19 EDT
docker-1.10.3-16.gita41254f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-87f810b0f5
Comment 23 Fedora Update System 2016-05-05 05:41:18 EDT
docker-1.10.3-17.gitbba2d6d.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c7e793ee33
Comment 24 Fedora Update System 2016-05-05 10:05:00 EDT
docker-1.10.3-18.git667d6d1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a1fb10a39
Comment 25 Fedora Update System 2016-05-06 16:56:31 EDT
docker-1.10.3-18.git667d6d1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a1fb10a39
Comment 26 Fedora Update System 2016-05-20 06:35:19 EDT
docker-1.10.3-19.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd133dc2e9
Comment 27 Fedora Update System 2016-05-20 22:25:59 EDT
docker-1.10.3-19.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd133dc2e9
Comment 28 Fedora Update System 2016-05-24 12:45:03 EDT
docker-1.10.3-20.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-373d4f6308
Comment 29 Fedora Update System 2016-05-26 01:02:00 EDT
docker-1.10.3-20.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-373d4f6308
Comment 30 Fedora Update System 2016-05-26 14:27:48 EDT
docker-1.10.3-21.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5cdae8c6f
Comment 31 Fedora Update System 2016-05-27 23:25:32 EDT
docker-1.10.3-21.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5cdae8c6f
Comment 32 Fedora Update System 2016-05-30 13:35:58 EDT
docker-1.10.3-22.git4158ccc.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6472a8cdc7
Comment 33 Fedora Update System 2016-05-31 05:52:28 EDT
docker-1.10.3-22.git4158ccc.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6472a8cdc7
Comment 34 Fedora Update System 2016-06-01 05:01:34 EDT
docker-1.10.3-23.gitf476348.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d73f74a557
Comment 35 Fedora Update System 2016-06-01 10:52:47 EDT
docker-1.10.3-24.gitf476348.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a0d540088
Comment 36 Fedora Update System 2016-06-02 12:22:52 EDT
docker-1.10.3-24.gitf476348.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a0d540088
Comment 37 Fedora Update System 2016-06-09 22:25:50 EDT
docker-1.10.3-24.gitf476348.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.